Package org.codehaus.plexus.util.io

# Interface InputStreamFacade

All Known Implementing Classes:
  `RawInputStreamFacade`, `URLInputStreamFacade`

public interface InputStreamFacade
Interface of a wrapper for input streams. This facade is used by methods, which are being implemented for files, URL's, or input streams.

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream()`
The caller must assume, that this method may be invoked only once.

## Method Details

### getInputStream

InputStream getInputStream() throws IOException
The caller must assume, that this method may be invoked only once.

Returns:
  Retrieves the actual `InputStream`.
Throws:
  `IOException` - if io issue